// GENERAL FUNCTIONS FOR POP UNDER
// Release date 2014-01-14
// www.getpopunder.in

// GENERAL THINGS TO LOAD ON LOADING DOCUMENT
$(function() 
{
	$('#topAlert').tipsy({fade: true, gravity: 'e'});
	$('.goAnalisys').tipsy({fade: true, gravity: 's'});
	$('.goPay').tipsy({fade: true, gravity: 's'});
	$('.goSettings').tipsy({fade: true, gravity: 's'});
	$('.goDelete').tipsy({fade: true, gravity: 's'});
	$('#myAlerts').tipsy({fade: true, gravity: 'e'});
	$("#topAlert").click( function() {closeAlert();});
	$('#startDate').datepick();
	$('#endDate').datepick();	
});
function closeAlert()
{ 
	$("#alert").css("display","none");
	setCookie("alertBox","close",1);
}
// FUNCTION TO ADD HANDLERS 
function addHandler(unique)
{	
	site=$("#site").val();
	name=$("#handlerName").val();
	website=$("#handlerWebsite").val();
	views=$("#handlerViews").val();
	days=$("#handlerDays").val();
	price=$("#handlerPrice").val();
	type=$("input[name='type']:checked").val();
	var categories;
    $(':checkbox:checked').each(function(i){
      categories = categories + ","+$(this).val();
    });
	
	if(name && website && categories)
	{
    	$.post("site_needed/ajax.functions.php",{unique:unique,name:name,website:website,views:views,days:days,price:price,type:type,categories:categories,addHandler:1},function(result){
			if(result)
			{
				
			$("#reqBack").html("Handler has been successfully saved");
			$("#reqEmbedJs").text('<script type="text/javascript" src="'+site+'/site_needed/jquery-1.9.0.min.js"></script><script type="text/javascript" src="'+site+'/popunder.js"></script><script type="text/javascript">var unique = '+result+';</script>');
			}
    		
    	});
	}else{
		$("#reqBack").html("All forms are required");
	}
}
// FUNCTION TO ADD LINKS
function addLink(unique)
{	
	name=$("#linkName").val();
	url=$("#linkUrl").val();
	bid=$("#linkBid").val();
	frequency=$("#linkFrequency").val();
	amount=$("#linkAmount").val();
	description=$("#description").val();
	var categories;
    $(':checkbox:checked').each(function(i){
      categories = categories + ","+$(this).val();
    });
	if( name && url  && description && categories )
	{
   		$.post("site_needed/ajax.functions.php",{unique:unique,name:name,url:url,description:description,categories:categories,bid:bid,amount:amount,frequency:frequency,addLink:1},function(result){
    		$("#reqBack").html(result);
    	});
	}else{
		$("#reqBack").html("All Forms are required");
	}
	
}
//CHANGE STATUS OF LINKS ( ADMINISTRATOR PART )
function withdraw()
{ 	
	paypal=$("#paypal").val();
	repaypal=$("#repaypal").val();
	if(paypal == repaypal)
	{
		$.post("../site_needed/ajax.functions.php",{paypal:paypal,withdraw:1},function(result){
		if(result==1){window.location = "../payments.htm";}else{$("#reqBack").html(result);}
	});
	}
	else
	$("#reqBack").html("Not same paypal adress. Retype again!<br>");
}

//CHANGE STATUS OF LINKS ( ADMINISTRATOR PART )
function status(unique,value)
{	
	message=$("#msg").val();
	$.post("site_needed/ajax.functions.php",{unique:unique,value:value,message:message,status:1},function(result){
		 $("#reqStatus").html(result); $("#msg").val("");
	});
}

//DELETE FUNCTION 
function dodelete(unique,type)
{	
	$.post("site_needed/ajax.functions.php",{unique:unique,delType:type},function(result){
		 window.location = result+".htm";
	});
}
// FUNTION THAT READ ALERTS AND NOTE THEM AFTER IN PHP AS READED
function readAlerts()
{
	setInterval($.post("site_needed/ajax.functions.php",{readAlerts:1},function(result){
    	
    }), 5000);
}
// SAVE USER SETTINGS
function saveSettings(type)
{
	adress=$("#adress").val();

	paypal=$("#paypal").val();
	phone=$("#phone").val();
	password=$("#password").val();
	repassword = $("#repassword").val();

	referral=$("#referral").val();
	share=$("#share").val();
	$.post("site_needed/ajax.functions.php",{paypal:paypal,adress:adress,phone:phone,password:password,repassword:repassword,saveSettings:type},function(result		){ $("#reqBack").html(result); });
}

function saveSettingsGen(type)
{
	referral=$("#referral").val();
	share=$("#share").val();
	minimum=$("#minimum").val();
	$.post("site_needed/ajax.functions.php",{minimum:minimum,share:share,referral:referral,saveSettingsGen:1},function(result){ $("#reqBackGen").html(result); });
}

//REGISTER FUNCTION
function register(unique)
{	$("#reqBack").html("<img src='site_images/ajax-loader.gif' />");
	email=$("#email").val();
	password=$("#password").val();
	repassword=$("#repassword").val();
	type=$("input[name='type']:checked").val();
	if( email && password && repassword)
	$.post("site_needed/ajax.functions.php",{type:type,email:email,password:password,repassword:repassword,register:1},function(result){
		  $("#reqBack").html(result);
		 });
	else
	$("#reqBack").html("All forms are required");
}

// LOGIN FUNCTION
function login()
{	
	email=$("#username").val();
	password=$("#password").val();
	$.post("site_needed/ajax.functions.php",{email:email,password:password,login:1},function(result){
		 if(result==1){window.location = "dashboard.htm";}else{$("#reqBack").html(result);}
		
	});
}
// RESTORE PASSWORD FUNCTION	
function restore()
{	
	email=$("#username").val();
	$.post("site_needed/ajax.functions.php",{email:email,restore:1},function(result){
		 $("#reqBack").html(result);
		
	});
}
// LOGOUT FUNCTION
function logout(){$.post("site_needed/ajax.functions.php",{logout:1},function(result){if(result)  { window.location = "login.htm"; } });}

// THE FUNCTION THAT DRAW THE TABLE OF CHART
function drawTable()
{ 
	$("#reqTable").html("<img src='site_images/ajax-loader.gif' />");
	var type = $("#type").val();
	var cat = $("#cat").val();
	var unique = $("#u").val();
	var startDate = $("#startDate").val();
	var endDate = $("#endDate").val();
	$.post("site_needed/ajax.analitycs.pages.php",{beginDate:startDate, endDate:endDate, url:unique,type:type, category:cat},function(result){
		$("#reqPages").html(result);
	});


/*
	$.post("site_needed/ajax.analitycs.table.php",{beginDate:startDate, endDate:endDate, url:unique,type:type, category:cat, type:type},function(result){
		$("#reqTable").html(result); });
*/

}


//INITIALIZE THE GOOGLE CHART
google.load('visualization', '1.0', {'packages':['corechart']}); 
google.setOnLoadCallback(drawChart);


function drawChart() {
	drawTable();
	var type = $("#type").val();
	var cat = $("#cat").val();
	var unique = $("#u").val();
	var startDate = $("#startDate").val();
	var endDate = $("#endDate").val();
	if(type == "visits") {$("#reqButtons").html('<a href="javascript:goVisits()" class="btn cwhite">View Visits</a>   <a href="javascript:goClicks()" class="btn cdark">View Clicks</a>'); }
	if(type == "clicks") {$("#reqButtons").html('<a href="javascript:goVisits()" class="btn cdark">View Visits</a>   <a href="javascript:goClicks()" class="btn cwhite">View Clicks</a>'); }
	var jsonData = $.ajax({
		  type: "POST",
          url: "site_needed/ajax.analitycs.php",
          dataType:"json",
		  data: {beginDate:startDate, endDate:endDate, url:unique,type:type, category:cat, type:type},
          async: false
          }).responseText;
	
       
    // Create our data table out of JSON data loaded from server.
	var data = new google.visualization.DataTable(jsonData);
	// Set chart options
    var options = {
                       'width':650,
					   'chartArea':{left:40, top:20, right:20, bottom:20,height:350, width:500},
                       'height':400,
					   'hAxis.textStyle':{color: '#bdc3c7',fontSize:'10'},
					   'series':{
						  		 0: {color: '#2980b9', lineWidth: 3, pointSize:6}, 
						   		 1: {color: '#c0392b', lineWidth: 3, pointSize:6},
						  		 2: {color: '#d35400', lineWidth: 3, pointSize:6},
						  		 3: {color: '#27ae60', lineWidth: 3, pointSize:6},
						 		 4: {color: '#2c3e50', lineWidth: 3, pointSize:6},
						 		 5: {color: '#3498db', lineWidth: 3, pointSize:6},
						 		 6: {color: '#e74c3c', lineWidth: 3, pointSize:6},
						 		 7: {color: '#1abc9c', lineWidth: 3, pointSize:6},
						 		 8: {color: '#34495e', lineWidth: 3, pointSize:6},
							     9: {color: '#7f8c8d', lineWidth: 3, pointSize:6},
								 10: {color: '#f1c40f', lineWidth: 3, pointSize:6}
							   }
					};

    // Instantiate and draw our chart, passing in some options.
	var chart = new google.visualization.LineChart(document.getElementById('chart_div'));
	chart.draw(data, options);
}

function pay(type,unique)
{
	$.post("site_needed/ajax.functions.php",{unique:unique,pay:type},function(result){
		 alert("Payment has been made Complete");
		
	});
}

function delCategory(unique)
{
	$.post("site_needed/ajax.functions.php",{unique:unique,delCategory:1},function(result){
	$("#"+unique).css("display","none");
		
	});
}

function addCategory()
{	
	var title = $("#category").val();
	$.post("site_needed/ajax.functions.php",{title:title,addCategory:1},function(result){
	$("#reqCategory").append(result);
		
	});
}
